View Issue Details

IDProjectCategoryView StatusLast Update
0004474SymmetricDSImprovementpublic2020-07-20 10:50
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.2Fixed in Version3.12.2 
Summary0004474: Web server require or accept client ssl certificate authentication
DescriptionAdd properties for the Jetty web server to require or accept SSL client certificates for authentication. In conf/symmetric-server.properties:

# Requires client authentication with SSL certificate
#
https.need.client.auth=false

# Accepts client authentication with SSL certificate
#
https.want.client.auth=false

These settings would allow deployments to use SSL certificates to authenticate nodes, using public-key technology, so no API secrets are transmitted.
Tagssecurity

Relationships

related to 0002861 closedelong SymmetricDS Client certificate authentication 
related to 0004475 closedelong SymmetricDS Pro Manage -> Security screen import/export certificate authority 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 1c36083f

2020-07-13 15:49:54

admin

Details Diff
0004474: Web server require or accept client ssl certificate
authentication

0004474
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ServerConstants.java Diff File
mod - symmetric-server/src/main/deploy/conf/symmetric-server.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/SymmetricWebServer.java Diff File

SymmetricDS: 3.12 cfe6a985

2020-07-14 08:05:22

admin

Details Diff
0004474: Web server require or accept client ssl certificate
authentication

0004474
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AuthenticationInterceptor.java Diff File

Issue History

Date Modified Username Field Change
2020-07-13 15:25 elong New Issue
2020-07-13 15:25 elong Status new => assigned
2020-07-13 15:25 elong Assigned To => elong
2020-07-13 15:25 elong Tag Attached: security
2020-07-13 15:25 elong Relationship added related to 0002861
2020-07-13 15:31 elong Relationship added related to 0004475
2020-07-13 15:50 elong Status assigned => resolved
2020-07-13 15:50 elong Resolution open => fixed
2020-07-13 15:50 elong Fixed in Version => 3.12.2
2020-07-13 16:00 admin Changeset attached => SymmetricDS 3.12 1c36083f
2020-07-14 09:00 admin Changeset attached => SymmetricDS 3.12 cfe6a985
2020-07-20 10:50 elong Status resolved => closed